{% block sw_cms_el_image_slider_element %}	
	{% set element = block.slots.getSlot('one') %}
	
	{% set blocks = block.slots.elements %}
	
	{% set sliderConfig = element.fieldConfig.elements %}
	
	<div class="referenzen-wrapper w-100 slider-mode-{{sliderConfig.displayMode.value}} py-3 py-lg-4 py-xl-6">
		<div class="swiper-container">
			<div class="swiper-wrapper mb-0">
				{% for image in sliderConfig.sliderItems.value %}
					<div class="swiper-slide {% if sliderConfig.displayMode.value == "standard" %}d-flex justify-content-between align-items-center{% endif %}">
						<div class="swiper-slide-content px-5 px-xl-0 d-flex align-items-center justify-content-center flex-column">
							
							{% if image.productRating %}
								
								<p class="text-primary">
								{% for i in 1 .. image.productRating %}
									{% sw_icon 'star' style { 'color': 'primary', 'size': 'xs', 'pack': 'digitalisman' } %}
								{% endfor %}
							
								{{image.productRating}}/5
								</p>
							{% endif %}
							
							{% if image.contentTitle %}
								<h2 class="my-3 my-lg-4">„{{image.contentTitle}}”</h2>
							{% endif %}
							
							<div class="slide-client-wrap d-flex align-items-center justify-content-center">
								{% set mediaCollection = searchMedia([image.mediaId], context.context) %}
								{% set sportsMedia = mediaCollection.get(image.mediaId) %}
								
								{% sw_thumbnails 'cms-image-slider-thumbnails' with {
									media: sportsMedia,
									sizes: { 
										'default': '60px' 
									},
									attributes: { 
										'class': 'img-fluid rounded-circle mr-3', 
										'alt': sportsMedia.translated.alt, 
										'title': sportsMedia.translated.title 
									} 
								} %}
								
								{% if image.clientName %}
									<p class="mb-0 text-left">{{image.clientName}}{% if image.clientShop %}<br><span>{{image.clientShop}}</span>{% endif %}</p>
								{% endif %}
							</div>
						</div>
					</div>
				{% endfor %}
			</div>
		</div>
		<div class="glide__arrows">
			<div class="swiper-button-prev rounded-circle">
				{% sw_icon 'arrow-head-left' style { 'color': 'body-color', 'size': 'sm' } %}
			</div>
			<div class="swiper-button-next rounded-circle">
				{% sw_icon 'arrow-head-right' style { 'color': 'body-color', 'size': 'sm' } %}
			</div>
		</div>
		
		{% if sliderConfig.navigationDots.value == "inside" %}
			<div class="swiper-pagination"></div>
		{% endif %}
	</div>
	
{% endblock %}